## haskell-hosc-0.19-1.src.tar.gz

=== Makefile ===
GL_GIT=git@gitlab.com:rd--/hosc.git
GL_HTTP=https://gitlab.com/rd--/hosc.git

GH_GIT=git@github.com:rd--/hosc.git
GH_HTTP=https://github.com/rd--/hosc.git

all:
	echo "hosc"

mk-cmd:
	echo "hosc - NIL"

clean:
	rm -Rf dist
	(cd contrib/tests ; make clean)

push-gl:
	git push $(GL_GIT)

pull-gl:
	git pull $(GL_HTTP)

push-gh:
	git push $(GH_GIT)

push-tags-gh:
	git push $(GH_GIT) --tag

pull-gh:
	git pull $(GH_HTTP)

update-rd:
	ssh rd@rohandrape.net "(cd sw/hosc;git pull $(GL_HTTP))"

push-all:
	make push-gl push-gh update-rd

=== contrib/tests/Makefile ===
all:
	ghc -Wall -fwarn-tabs -rtsopts -fno-warn-orphans --make bm.hs
	ghc -Wall -fwarn-tabs -rtsopts -fno-warn-orphans --make qc.hs

clean:
	rm -f *.hi *.o
	rm -f Sound/OSC/*.hi Sound/OSC/*.o
	rm -f bm qc

pkg-dep:
	cabal install test-framework-quickcheck2
	cabal install criterion

=== PKGBUILD ===
# Maintainer: David Runge <dvzrv@archlinux.org>

_name=hosc
pkgname=haskell-hosc
pkgver=0.19
pkgrel=1
pkgdesc="Haskell Open Sound Control"
arch=('x86_64')
url="https://github.com/rd--/hosc"
license=('GPL')
depends=('ghc-libs' 'haskell-blaze-builder' 'haskell-data-binary-ieee754' 'haskell-network')
makedepends=('ghc')
source=("$pkgname-$pkgver.tar.gz::https://github.com/rd--/hosc/archive/${pkgver}.tar.gz")
sha512sums=('2b1b10f857371cdba0266d31080f40a2f2d604828adca3bae2bdb990dbdf409e7ad755d43961a69a4f13fb77eaf2a378ec2bfcc3b80cea97216433f18851b89b')

prepare() {
  mv -v "${_name}-$pkgver" "$pkgname-$pkgver"
  cd "$pkgname-$pkgver"
}

build() {
  cd "$pkgname-$pkgver"
  runhaskell Setup configure -O \
                             --enable-shared \
                             --enable-executable-dynamic \
                             --disable-library-vanilla \
                             --prefix=/usr \
                             --docdir="/usr/share/doc/${pkgname}" \
                             --enable-tests \
                             --dynlibdir=/usr/lib \
                             --libsubdir=\$compiler/site-local/\$pkgid \
                             --datasubdir="$pkgname"
  runhaskell Setup build $MAKEFLAGS
  runhaskell Setup register --gen-script
  runhaskell Setup unregister --gen-script
  sed -i -r -e "s|ghc-pkg.*update[^ ]* |&'--force' |" register.sh
  sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
}

check() {
  cd "$pkgname-$pkgver"
  runhaskell Setup test --show-details=direct
}

package() {
  cd "$pkgname-$pkgver"
  runhaskell Setup copy --destdir="${pkgdir}"
  install -vDm 744 register.sh "$pkgdir/usr/share/haskell/register/$pkgname.sh"
  install -vDm 744 unregister.sh "$pkgdir/usr/share/haskell/unregister/$pkgname.sh"
}
